<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: Core</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('md__home_pi_medienserver_local_app_media_framework_gstreamer_cpp_include_core_README.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">Core </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><ul>
<li>[ ] GstAllocator – allocate memory blocks</li>
<li>[ ] GstAtomicQueue – An atomic queue implementation</li>
<li>[/] GstBin – <a class="el" href="classBase.html">Base</a> class and element that can contain other elements</li>
<li>[ ] GstBuffer – Data-passing buffer type</li>
<li>[ ] GstBufferList – Lists of buffers for data-passing</li>
<li>[ ] GstBufferPool – Pool for buffers</li>
<li>[/] GstBus – Asynchronous message bus subsystem</li>
<li>[ ] GstCaps – Structure describing sets of media formats</li>
<li>[ ] GstCapsFeatures – A set of features in caps</li>
<li>[ ] GstChildProxy – <a class="el" href="classInterface.html">Interface</a> for multi child elements.</li>
<li>[ ] GstClock – Abstract class for global clocks</li>
<li>[ ] GstCompat – Deprecated API entries</li>
<li>[ ] GstContext – Lightweight objects to represent element contexts</li>
<li>[ ] GstControlBinding – attachment for control source sources</li>
<li>[ ] GstControlSource – base class for control source sources</li>
<li>[ ] GstDateTime – A date, time and timezone structure</li>
<li>[ ] GstDevice – Object representing a device</li>
<li>[ ] GstDeviceMonitor – A device monitor and prober</li>
<li>[ ] GstDeviceProvider – A device provider</li>
<li>[ ] GstDeviceProviderFactory – Create GstDeviceProviders from a factory</li>
<li>[ ] GstDynamicTypeFactory – Represents a registered dynamically loadable GType</li>
<li>[/] GstElement – Abstract base class for all pipeline elements</li>
<li>[/] GstElementFactory – Create GstElements from a factory</li>
<li>[ ] GstEvent – Structure describing events that are passed up and down a pipeline</li>
<li>[ ] GstFormat – Dynamically register new data formats</li>
<li>[ ] GstGError – Categorized error messages</li>
<li>[ ] GstGhostPad – Pseudo link pads</li>
<li>[ ] GstInfo – Debugging and logging facilities</li>
<li>[ ] GstIterator – Object to retrieve multiple elements in a threadsafe way.</li>
<li>[ ] GstMemory – refcounted wrapper for memory blocks</li>
<li>[ ] GstMessage – Lightweight objects to signal the application of pipeline events</li>
<li>[ ] GstMeta – Buffer metadata</li>
<li>[ ] GstMiniObject – Lightweight base class for the GStreamer object hierarchy</li>
<li>[/] GstObject – <a class="el" href="classBase.html">Base</a> class for the GStreamer object hierarchy</li>
<li>[ ] GstPad – Object contained by elements that allows links to other elements</li>
<li>[ ] GstPadTemplate – Describe the media type of a pad.</li>
<li>[ ] GstParamSpec – GParamSpec implementations specific to GStreamer</li>
<li>[ ] GstParse – Get a pipeline from a text pipeline description</li>
<li>[/] GstPipeline – Top-level bin with clocking and bus management functionality.</li>
<li>[ ] GstPlugin – Container for features loaded from a shared object module</li>
<li>[ ] GstPluginfeature – <a class="el" href="classBase.html">Base</a> class for contents of a GstPlugin</li>
<li>[ ] GstPoll – Keep track of file descriptors and make it possible to wait on them in a cancellable way</li>
<li>[ ] GstPreset – helper interface for element presets</li>
<li>[ ] GstPromise – a miniobject for future/promise-like functionality</li>
<li>[ ] GstProtection – Functions and classes to support encrypted streams.</li>
<li>[ ] gstquark</li>
<li>[ ] GstQuery – Provide functions to create queries, and to set and parse values in them.</li>
<li>[ ] GstRegistry – Abstract base class for management of #GstPlugin objects</li>
<li>[ ] GstSample – A media sample</li>
<li>[ ] GstSegment – Structure describing the configured region of interest in a media file.</li>
<li>[ ] GstStreamCollection – <a class="el" href="classBase.html">Base</a> class for collection of streams</li>
<li>[ ] GstStreams – <a class="el" href="classBase.html">Base</a> class for stream objects</li>
<li>[ ] GstStructure – Generic structure containing fields of names and values</li>
<li>[ ] GstSystemClock – Default clock that uses the current system time</li>
<li>[ ] GstTagList – List of tags and values used to describe media metadata</li>
<li>[ ] GstTagsetter – Element interface that allows setting and retrieval of media metadata</li>
<li>[ ] GstTask – Abstraction of GStreamer streaming threads.</li>
<li>[ ] GstTaskPool – Pool of GStreamer streaming threads</li>
<li>[ ] GstToc – Generic table of contents support</li>
<li>[ ] GstTocSetter – Element interface that allows setting and retrieval of the TOC</li>
<li>[ ] GstTracer – Tracing base class</li>
<li>[ ] GstTracerFactory – Information about registered tracer functions</li>
<li>[ ] GstTracerRecord – Trace log entry class</li>
<li>[ ] gsttracerutils</li>
<li>[ ] GstTypefind – Stream type detection</li>
<li>[ ] GstTypeFindFactory – Information about registered typefind functions</li>
<li>[ ] GstUri – URI parsing and manipulation.</li>
<li>[ ] GstUriHandler – <a class="el" href="classInterface.html">Interface</a> to ease URI handling in plugins.</li>
<li>[ ] GstUtils – Various utility functions</li>
<li>[ ] GstValue – GValue implementations specific to GStreamer </li>
</ul>
</div></div><!-- contents -->
</div><!-- PageDoc -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
